/* sqpr.h -- Square-Figure print functions.
**
** Copyright (C) 2003 Eric Laroche.  All rights reserved.
**
** @author Eric Laroche <laroche@lrdev.com>
** @version @(#)$Id: sqpr.h,v 1.1 2003/03/07 16:46:43 laroche Exp $
**
** This program is free software;
** you can redistribute it and/or modify it.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
**
*/


#ifndef SQPR_H
#define SQPR_H


#include "sqfig.h"


/** Print a figure set's figures, hierarchical.
*/
void printFigureSet(figureSet_t const* figureSet);


/** Print a figure set's figures, flat.
*/
void printFigureSetFlat(figureSet_t const* figureSet);


/** Print a figure set's distinct figures (omitting rotameres and
* mirrors).
*/
void printFigureSetDistincts(figureSet_t const* figureSet);


/** Print a figure set's figures, hierarchical.
*/
void printSiblingGroup(siblingGroup_t const* siblingGroup);


/** Print a figure.
*/
void printFigure(figure_t const* figure);


/** Plot a figure set's figures.
*/
void plotFigureSet(figureSet_t const* figureSet, int plotSize);


/** Plot a sibling group's figures.
*/
void plotSiblingGroup(siblingGroup_t const* siblingGroup, int plotSize);


/** Plot a figure.
*/
void plotFigure(figure_t const* figure, int plotSize);


#endif

